{
    "info": {
        "version": "3.0.0", 
        "description": "The Sketchfab REST API provide access to read and write Sketchfab data. Users are authentified with their Sketchfab API Token or OAuth2 credentials. Responses are formatted in JSON. Inputs are in JSON unless specified otherwise.\n\n## How to make authenticated requests\n\nSome endpoints require users to be authenticated. Users can log in with OAuth2 (preferred), or an API Token.\nWhen an endpoint requires authentication, you need to send an extra HTTP header:\n\n* for OAuth2: `Authorization: Bearer {INSERT_OAUTH_ACCESS_TOKEN_HERE}`\n* for API Token: `Authorization: Token {INSERT_API_TOKEN_HERE}`\n\nSome model endpoints referring to password-protected models require a password encoded in base64 in request header: `x-skfb-model-pwd: {base64(THE_PASSWORD)}`\n\nSee the [Sketchfab Login (OAuth2) documentation](https://sketchfab.com/developers/oauth) for more information on authentication.\n\n## Pagination\n\nWhen a request gives many results, results are paginated using cursors.\nEach response will contain these fields you can use to make subsequent requests:\n\n* next: full URL containing the next results.\n* previous: full URL containing the previous results.\n* cursors: an object containing the previous and next cursor that you can use to build the URL to the previous/next results.\n\nBy default, pages contain 24 items. You can use the `count` parameter to change the number of items per page. This parameter is capped to 24: it will be ignored if a higher value is passed; the default value will be applied instead.\n\n## Date format\n\nDates are formatted using the ISO 8601 format.\n\n## Limits and quotas\n\nCalls to the API can be throttled to limit abuse. When your application is being throttled, it will\nreceive a `429 Too Many Requests` response. This means that you must wait before making more requests.\n", 
        "title": "Sketchfab API"
    }, 
    "paths": {
        "/v3/orgs/{orgUid}": {
            "get": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "description": "Returns the detail of an organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName).", 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/OrgDetailResponse"
                        }
                    }
                }, 
                "tags": [
                    "orgs"
                ], 
                "produces": [
                    "application/json"
                ]
            }, 
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The organization UID", 
                    "in": "path", 
                    "name": "orgUid"
                }
            ], 
            "patch": {
                "description": "Returns the detail of an organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName).", 
                "parameters": [
                    {
                        "description": "Updates the organizations biography", 
                        "in": "formData", 
                        "maxLength": 256, 
                        "required": false, 
                        "type": "string", 
                        "name": "biography"
                    }, 
                    {
                        "description": "Updates the organizations city", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": false, 
                        "type": "string", 
                        "name": "city"
                    }, 
                    {
                        "description": "Updates the organnizations country", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": false, 
                        "type": "string", 
                        "name": "country"
                    }, 
                    {
                        "description": "Updates the organnizations display name", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": false, 
                        "type": "string", 
                        "name": "displayName"
                    }, 
                    {
                        "description": "Updates the organnizations twitter username", 
                        "in": "formData", 
                        "maxLength": 15, 
                        "required": false, 
                        "type": "string", 
                        "name": "twitterUsername"
                    }, 
                    {
                        "description": "Updates the organnizations facebook username", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": false, 
                        "type": "string", 
                        "name": "facebookUsername"
                    }, 
                    {
                        "description": "Updates the organnizations linkedin username", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": false, 
                        "type": "string", 
                        "name": "linkedinUsername"
                    }, 
                    {
                        "description": "Updates the organnizations tagline", 
                        "in": "formData", 
                        "maxLength": 140, 
                        "required": false, 
                        "type": "string", 
                        "name": "tagline"
                    }, 
                    {
                        "description": "Updates the organnizations website", 
                        "in": "formData", 
                        "maxLength": 128, 
                        "required": false, 
                        "type": "string", 
                        "name": "website"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "orgs"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/OrgDetailResponse"
                        }
                    }, 
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }
            }
        }, 
        "/v3/me/subscriptions/{uid}": {
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The collection UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ], 
            "delete": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "description": "Unsubscribes to a collection.", 
                "responses": {
                    "204": {
                        "description": "No Content"
                    }, 
                    "404": {
                        "description": "Not Found"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }, 
                "tags": [
                    "me", 
                    "collections"
                ], 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/models/{uid}/transfer-to-org": {
            "post": {
                "responses": {
                    "400": {
                        "description": "Bad Request. Model cannot be transfered to the org."
                    }, 
                    "401": {
                        "description": "Unauthorized. User token is not valid or missing."
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found. Model does not exist."
                    }, 
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/OrgModelDetailResponse"
                        }
                    }, 
                    "429": {
                        "description": "Too many requests. You must wait before making requests again."
                    }
                }, 
                "parameters": [
                    {
                        "required": true, 
                        "type": "string", 
                        "description": "The organization UID", 
                        "in": "formData", 
                        "name": "org"
                    }, 
                    {
                        "required": true, 
                        "type": "string", 
                        "description": "The project UID", 
                        "in": "formData", 
                        "name": "project"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "models", 
                    "orgs"
                ], 
                "description": "Move a model from an individual account to an organization"
            }, 
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The model UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ]
        }, 
        "/v3/orgs/{orgUid}/matcaps/{matcapUid}": {
            "delete": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "description": "Deletes a matcap in the given organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName).", 
                "responses": {
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found"
                    }, 
                    "204": {
                        "description": "No Content"
                    }
                }, 
                "tags": [
                    "orgs", 
                    "matcaps"
                ], 
                "produces": [
                    "application/json"
                ]
            }, 
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The organization UID", 
                    "in": "path", 
                    "name": "orgUid"
                }, 
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The matcap UID", 
                    "in": "path", 
                    "name": "matcapUid"
                }
            ], 
            "get": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "description": "Retrieve a matcap in the given organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName).", 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/OrgMatcapDetail"
                        }
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found"
                    }
                }, 
                "tags": [
                    "orgs", 
                    "matcaps"
                ], 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/users": {
            "get": {
                "description": "Returns a list of users.", 
                "tags": [
                    "users"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/UserResponse"
                        }
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "type": "string", 
                        "name": "sort_by", 
                        "enum": [
                            "dateJoined", 
                            "-dateJoined", 
                            "followerCount", 
                            "-followerCount", 
                            "modelCount", 
                            "-modelCount"
                        ], 
                        "in": "query"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "name": "account", 
                        "enum": [
                            "free", 
                            "pro", 
                            "biz"
                        ], 
                        "in": "query"
                    }
                ], 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/comments": {
            "post": {
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "201": {
                        "headers": {
                            "Location": {
                                "type": "string"
                            }
                        }, 
                        "description": "Created", 
                        "schema": {
                            "$ref": "#/definitions/CreateResponse"
                        }
                    }, 
                    "429": {
                        "description": "Too many requests"
                    }
                }, 
                "parameters": [
                    {
                        "required": true, 
                        "type": "string", 
                        "description": "<a href=\"#/models\" target=\"_blank\">Model</a> (uid) to comment", 
                        "in": "formData", 
                        "name": "model"
                    }, 
                    {
                        "description": "Sets a body", 
                        "in": "formData", 
                        "maxLength": 3000, 
                        "required": true, 
                        "type": "string", 
                        "name": "body"
                    }
                ], 
                "tags": [
                    "comments"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "description": "Creates a comment"
            }, 
            "get": {
                "tags": [
                    "comments"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/CommentResponse"
                        }
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "description": "Sorts results", 
                        "in": "query", 
                        "enum": [
                            "createdAt", 
                            "-createdAt"
                        ], 
                        "type": "string", 
                        "name": "sort_by"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Retrieves comments of a model (urlid)", 
                        "in": "query", 
                        "name": "model"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Retrieves comments of a <a href=\"#!/users/\" target=\"_blank\">user</a> (username)", 
                        "in": "query", 
                        "name": "user"
                    }
                ], 
                "description": "Returns a list of comments from public, published models"
            }
        }, 
        "/v3/collections": {
            "post": {
                "description": "Creates a collection.", 
                "parameters": [
                    {
                        "description": "Sets a name", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": true, 
                        "type": "string", 
                        "name": "name"
                    }, 
                    {
                        "description": "Sets a description", 
                        "in": "formData", 
                        "maxLength": 1024, 
                        "required": true, 
                        "type": "string", 
                        "name": "description"
                    }, 
                    {
                        "description": "Sets <a href=\"#/models\" target=\"_blank\">models</a> (uid)", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "name": "models", 
                        "in": "formData", 
                        "maxLength": 1024, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "collections"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "201": {
                        "headers": {
                            "Location": {
                                "type": "string"
                            }
                        }, 
                        "description": "Created", 
                        "schema": {
                            "$ref": "#/definitions/CreateResponse"
                        }
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }
            }, 
            "get": {
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/CollectionResponse"
                        }
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Retrieves collections created by <a href=\"#!/users/\" target=\"_blank\">user</a> (username)", 
                        "in": "query", 
                        "name": "user"
                    }, 
                    {
                        "description": "Retrieves collections by uid", 
                        "in": "query", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "name": "uids"
                    }, 
                    {
                        "in": "query", 
                        "description": "Retrieves collections created since a date (ISO 8601 format)", 
                        "format": "date", 
                        "required": false, 
                        "type": "string", 
                        "name": "created_since"
                    }, 
                    {
                        "required": false, 
                        "type": "boolean", 
                        "description": "Retrieves restricted collections (off by default)", 
                        "in": "query", 
                        "name": "restricted"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "name": "sort_by", 
                        "enum": [
                            "createdAt", 
                            "-createdAt", 
                            "subscriberCount", 
                            "-subscriberCount"
                        ], 
                        "in": "query"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "tags": [
                    "collections"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "description": "Returns a list of collections"
            }
        }, 
        "/v3/me": {
            "get": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "description": "Returns your profile", 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/MeDetail"
                        }
                    }
                }, 
                "tags": [
                    "me", 
                    "users"
                ], 
                "produces": [
                    "application/json"
                ]
            }, 
            "patch": {
                "description": "Updates your profile.", 
                "parameters": [
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Updates your password. Needs passwordConfirmation", 
                        "in": "formData", 
                        "name": "password"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "name": "passwordConfirmation", 
                        "in": "formData"
                    }, 
                    {
                        "description": "Updates your <a href=\"#/skills\" target=\"_blank\">skills</a> (uid)", 
                        "name": "skills", 
                        "in": "formData", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }, 
                    {
                        "description": "Updates your display name", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": false, 
                        "type": "string", 
                        "name": "displayName"
                    }, 
                    {
                        "description": "Updates your twitter username", 
                        "in": "formData", 
                        "maxLength": 15, 
                        "required": false, 
                        "type": "string", 
                        "name": "twitterUsername"
                    }, 
                    {
                        "description": "Updates your facebook username", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": false, 
                        "type": "string", 
                        "name": "facebookUsername"
                    }, 
                    {
                        "description": "Updates your linkedin username", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": false, 
                        "type": "string", 
                        "name": "linkedinUsername"
                    }, 
                    {
                        "description": "Updates your bio", 
                        "in": "formData", 
                        "maxLength": 256, 
                        "required": false, 
                        "type": "string", 
                        "name": "biography"
                    }, 
                    {
                        "description": "Updates your tagline", 
                        "in": "formData", 
                        "maxLength": 140, 
                        "required": false, 
                        "type": "string", 
                        "name": "tagline"
                    }, 
                    {
                        "description": "Updates your website", 
                        "in": "formData", 
                        "maxLength": 128, 
                        "required": false, 
                        "type": "string", 
                        "name": "website"
                    }, 
                    {
                        "description": "Updates your city", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": false, 
                        "type": "string", 
                        "name": "city"
                    }, 
                    {
                        "description": "Updates your country", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": false, 
                        "type": "string", 
                        "name": "country"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "me", 
                    "users"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "204": {
                        "description": "No Content"
                    }
                }
            }
        }, 
        "/v3/orgs/{orgUid}/backgrounds": {
            "post": {
                "description": "Creates a new background in the given organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName).", 
                "parameters": [
                    {
                        "required": true, 
                        "type": "file", 
                        "description": "JPG or PNG image. Max 4mb", 
                        "in": "formData", 
                        "name": "image"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "orgs", 
                    "backgrounds"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "201": {
                        "headers": {
                            "Location": {
                                "type": "string"
                            }
                        }, 
                        "description": "Created", 
                        "schema": {
                            "$ref": "#/definitions/CreateResponse"
                        }
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }
            }, 
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The organization UID", 
                    "in": "path", 
                    "name": "orgUid"
                }
            ], 
            "get": {
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/OrgBackgroundListResponse"
                        }
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "type": "string", 
                        "name": "sort_by", 
                        "enum": [
                            "createdAt", 
                            "-createdAt"
                        ], 
                        "in": "query"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "orgs", 
                    "backgrounds"
                ], 
                "description": "Returns a list of backgrounds from the given organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName)."
            }
        }, 
        "/v3/models/{uid}": {
            "put": {
                "description": "Reuploads a model. Accepts multipart/form-data only.", 
                "parameters": [
                    {
                        "description": "Sets a name", 
                        "in": "formData", 
                        "maxLength": 48, 
                        "required": false, 
                        "type": "string", 
                        "name": "name"
                    }, 
                    {
                        "required": false, 
                        "type": "boolean", 
                        "description": "Sets private (requires a pro plan or higher)", 
                        "in": "formData", 
                        "name": "private"
                    }, 
                    {
                        "description": "Enables 2D view in model inspector. All <a href=\"https://help.sketchfab.com/hc/en-us/articles/115004862686-Inspector\">downloadable models must have isInspectable enabled</a>.", 
                        "in": "formData", 
                        "default": false, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isInspectable"
                    }, 
                    {
                        "description": "Whether the model has restricted content.", 
                        "in": "formData", 
                        "default": false, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isAgeRestricted"
                    }, 
                    {
                        "description": "Sets a password (requires a pro plan or higher)", 
                        "in": "formData", 
                        "maxLength": 64, 
                        "required": false, 
                        "type": "string", 
                        "name": "password"
                    }, 
                    {
                        "in": "formData", 
                        "description": "Sets a <a href=#!/licenses/ target='_blank'>license</a> (label). This makes the model downloadable to others. All <a href=\"https://help.sketchfab.com/hc/en-us/articles/115004862686-Inspector\">downloadable models must have isInspectable enabled</a>.\n", 
                        "format": "test", 
                        "required": false, 
                        "type": "string", 
                        "name": "license"
                    }, 
                    {
                        "description": "Sets <a href=#!/tags/ target='_blank'>tags</a> (slug)", 
                        "name": "tags", 
                        "in": "formData", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }, 
                    {
                        "description": "Sets <a href=#!/categories/ target='_blank'>categories</a> (slug)", 
                        "name": "categories", 
                        "in": "formData", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }, 
                    {
                        "description": "Enables AR for a model (requires a premium plan or higher)", 
                        "in": "formData", 
                        "default": false, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isArEnabled"
                    }, 
                    {
                        "description": "Sets published after it is processed", 
                        "in": "formData", 
                        "default": true, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isPublished"
                    }, 
                    {
                        "description": "Sets a description", 
                        "in": "formData", 
                        "maxLength": 1024, 
                        "required": false, 
                        "type": "string", 
                        "name": "description"
                    }, 
                    {
                        "required": true, 
                        "type": "file", 
                        "description": "Model archive. Max 50mb for basic users, 200mb for pro users, 500mb for biz users", 
                        "in": "formData", 
                        "name": "modelFile"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "models"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found"
                    }, 
                    "204": {
                        "description": "No Content"
                    }
                }
            }, 
            "get": {
                "description": "Returns the detail of a model", 
                "tags": [
                    "models"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/ModelDetail"
                        }
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found"
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Password when the model is password-protected", 
                        "in": "header", 
                        "name": "x-skfb-model-pwd"
                    }
                ], 
                "produces": [
                    "application/json"
                ]
            }, 
            "patch": {
                "description": "Updates model information.", 
                "parameters": [
                    {
                        "description": "Sets a name", 
                        "in": "formData", 
                        "maxLength": 48, 
                        "required": false, 
                        "type": "string", 
                        "name": "name"
                    }, 
                    {
                        "required": false, 
                        "type": "boolean", 
                        "description": "Sets private (requires a pro plan or higher)", 
                        "in": "formData", 
                        "name": "private"
                    }, 
                    {
                        "description": "Enables 2D view in model inspector. All <a href=\"https://help.sketchfab.com/hc/en-us/articles/115004862686-Inspector\">downloadable models must have isInspectable enabled</a>.", 
                        "in": "formData", 
                        "default": false, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isInspectable"
                    }, 
                    {
                        "description": "Whether the model has restricted content.", 
                        "in": "formData", 
                        "default": false, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isAgeRestricted"
                    }, 
                    {
                        "description": "Sets a password (requires a pro plan or higher)", 
                        "in": "formData", 
                        "maxLength": 64, 
                        "required": false, 
                        "type": "string", 
                        "name": "password"
                    }, 
                    {
                        "in": "formData", 
                        "description": "Sets a <a href=#!/licenses/ target='_blank'>license</a> (slug). This makes the model downloadable to others. All <a href=\"https://help.sketchfab.com/hc/en-us/articles/115004862686-Inspector\">downloadable models must have isInspectable enabled</a>.\n", 
                        "format": "test", 
                        "required": false, 
                        "type": "string", 
                        "name": "license"
                    }, 
                    {
                        "description": "Sets <a href=#!/tags/ target='_blank'>tags</a> (slug)", 
                        "name": "tags", 
                        "in": "formData", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }, 
                    {
                        "description": "Sets <a href=#!/categories/ target='_blank'>categories</a> (slug)", 
                        "name": "categories", 
                        "in": "formData", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }, 
                    {
                        "description": "Enables AR for a model (requires a premium plan or higher)", 
                        "in": "formData", 
                        "default": false, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isArEnabled"
                    }, 
                    {
                        "description": "Sets published after it is processed", 
                        "in": "formData", 
                        "default": true, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isPublished"
                    }, 
                    {
                        "description": "Disables public comments for the model", 
                        "in": "formData", 
                        "default": false, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "hasCommentsDisabled"
                    }, 
                    {
                        "description": "Sets a description", 
                        "in": "formData", 
                        "maxLength": 1024, 
                        "required": false, 
                        "type": "string", 
                        "name": "description"
                    }, 
                    {
                        "required": false, 
                        "type": "integer", 
                        "description": "Sets a price. Your model must have either standard or editorial license.", 
                        "in": "formData", 
                        "name": "price"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Sets <a href=#!/models/patch_v3_models_uid_options target='_blank'>options</a>", 
                        "in": "formData", 
                        "name": "options"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "models"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found"
                    }, 
                    "204": {
                        "description": "No Content"
                    }
                }
            }, 
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The model UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ], 
            "delete": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "models"
                ], 
                "responses": {
                    "204": {
                        "description": "No Content"
                    }
                }, 
                "description": "Deletes one of your models"
            }
        }, 
        "/v3/me/environments": {
            "post": {
                "description": "Creates an environment (pro only). Accepts multipart/form-data only.", 
                "parameters": [
                    {
                        "description": "Sets a name", 
                        "in": "formData", 
                        "maxLength": 64, 
                        "required": true, 
                        "type": "string", 
                        "name": "name"
                    }, 
                    {
                        "required": true, 
                        "type": "file", 
                        "name": "environmentFile", 
                        "in": "formData"
                    }
                ], 
                "produces": [
                    "aplication/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "me", 
                    "environments"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "201": {
                        "headers": {
                            "Location": {
                                "type": "string"
                            }
                        }, 
                        "description": "Created", 
                        "schema": {
                            "$ref": "#/definitions/CreateResponse"
                        }
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }
            }, 
            "get": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "description": "Returns available environments for your models.", 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/EnvironmentResponse"
                        }
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }, 
                "tags": [
                    "me", 
                    "environments"
                ], 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/users/{uid}": {
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The user UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ], 
            "get": {
                "description": "Returns the detail of a user.", 
                "tags": [
                    "users"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/UserDetail"
                        }
                    }, 
                    "404": {
                        "description": "Not Found"
                    }
                }, 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/me/backgrounds": {
            "post": {
                "description": "Creates a new background (requires a pro plan or higher). Accepts multipart/form-data only.", 
                "parameters": [
                    {
                        "required": true, 
                        "type": "file", 
                        "description": "JPG or PNG image. Max 4mb", 
                        "in": "formData", 
                        "name": "image"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "me", 
                    "backgrounds"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "201": {
                        "headers": {
                            "Location": {
                                "type": "string"
                            }
                        }, 
                        "description": "Created", 
                        "schema": {
                            "$ref": "#/definitions/CreateResponse"
                        }
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }
            }, 
            "get": {
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/BackgroundResponse"
                        }
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "type": "string", 
                        "name": "sort_by", 
                        "enum": [
                            "createdAt", 
                            "-createdAt"
                        ], 
                        "in": "query"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "me", 
                    "backgrounds"
                ], 
                "description": "Returns available backgrounds for your models"
            }
        }, 
        "/v3/models/{uid}/options": {
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The model UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ], 
            "patch": {
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "204": {
                        "description": "No-Content"
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "description": "Defines the shading type", 
                        "in": "formData", 
                        "enum": [
                            "lit", 
                            "shadeless"
                        ], 
                        "type": "string", 
                        "name": "shading"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Defines the background used. Either a color, a <a href=\"#/backgrounds\" target=\"_blank\">background</a> (uid), an <a href=\"#/environment\" target=\"_blank\">environment</a> (uid) or transparent.\neg: {\"color\": \"#ffffff\"}, {\"environment\": \"uid\"}, {\"image\": \"uid\"} or {\"transparent\": 1}\n", 
                        "in": "formData", 
                        "name": "background"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Either a 4x4 matrix or an angle with an axis.\neg: {\"axis\": [1, 1, 0], \"angle\": 34} or {\"matrix\": [0.1, 0.2, 0.3 ... ], \"axis\": [1, 1, 0], \"angle\": 34.42}\n", 
                        "in": "formData", 
                        "name": "orientation"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "tags": [
                    "models"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "description": "Updates the 3D options of a model"
            }
        }, 
        "/v3/tags/{slug}": {
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The tag slug", 
                    "in": "path", 
                    "name": "slug"
                }
            ], 
            "get": {
                "tags": [
                    "tags"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/TagRelated"
                        }
                    }
                }, 
                "description": "Returns the detail of a tag"
            }
        }, 
        "/v3/me/subscriptions": {
            "post": {
                "description": "Subscribes to a collection.", 
                "parameters": [
                    {
                        "required": true, 
                        "type": "string", 
                        "description": "The <a href=\"#/collections\" target=\"_blank\">collection</a> (uid) to subscribe to", 
                        "in": "formData", 
                        "name": "collection"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "me", 
                    "collections"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "201": {
                        "headers": {
                            "Location": {
                                "type": "string"
                            }
                        }, 
                        "description": "Created", 
                        "schema": {
                            "$ref": "#/definitions/CreateResponse"
                        }
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }
            }, 
            "get": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "description": "Returns collections you subscribed to.", 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/CollectionResponse"
                        }
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }, 
                "tags": [
                    "me", 
                    "collections"
                ], 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/orgs/{orgUid}/environments/{environmentUid}": {
            "patch": {
                "description": "Updates an environment in the given organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName).", 
                "parameters": [
                    {
                        "description": "Updates the name", 
                        "in": "formData", 
                        "maxLength": 64, 
                        "required": true, 
                        "type": "string", 
                        "name": "name"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "orgs", 
                    "environments"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "204": {
                        "description": "No Content"
                    }
                }
            }, 
            "delete": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "description": "Deletes an environment in the given organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName).", 
                "responses": {
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found"
                    }, 
                    "204": {
                        "description": "No Content"
                    }
                }, 
                "tags": [
                    "orgs", 
                    "environments"
                ], 
                "produces": [
                    "application/json"
                ]
            }, 
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The organization UID", 
                    "in": "path", 
                    "name": "orgUid"
                }, 
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The environment UID", 
                    "in": "path", 
                    "name": "environmentUid"
                }
            ], 
            "get": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "description": "Retrieve an environment in the given organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName).", 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/OrgEnvironmentDetail"
                        }
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found"
                    }
                }, 
                "tags": [
                    "orgs", 
                    "environments"
                ], 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/collections/{uid}": {
            "get": {
                "description": "Returns the detail of a collection", 
                "tags": [
                    "collections"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/CollectionDetail"
                        }
                    }
                }, 
                "produces": [
                    "application/json"
                ]
            }, 
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The collection UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ], 
            "patch": {
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "204": {
                        "description": "No Content"
                    }
                }, 
                "parameters": [
                    {
                        "description": "Updates the name", 
                        "in": "formData", 
                        "maxLength": 50, 
                        "required": true, 
                        "type": "string", 
                        "name": "name"
                    }, 
                    {
                        "description": "Updates the description", 
                        "in": "formData", 
                        "maxLength": 1024, 
                        "required": false, 
                        "type": "string", 
                        "name": "description"
                    }, 
                    {
                        "description": "Sets <a href=\"#/models\" target=\"_blank\">models</a> (uid)", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "name": "models", 
                        "in": "formData", 
                        "maxLength": 1024, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "tags": [
                    "collections"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "description": "Updates a collection"
            }
        }, 
        "/v3/comments/{uid}": {
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The comment UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ], 
            "delete": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "comments"
                ], 
                "responses": {
                    "204": {
                        "description": "No Content"
                    }
                }, 
                "description": "Deletes one of your comments"
            }
        }, 
        "/v3/me/likes": {
            "post": {
                "description": "Likes a model", 
                "parameters": [
                    {
                        "required": true, 
                        "type": "string", 
                        "description": "<a href=\"#/models\" target=\"_blank\">Model</a> (uid) to like", 
                        "in": "formData", 
                        "name": "model"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "me", 
                    "models", 
                    "likes"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "201": {
                        "headers": {
                            "Location": {
                                "type": "string"
                            }
                        }, 
                        "description": "Created", 
                        "schema": {
                            "$ref": "#/definitions/CreateResponse"
                        }
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }
            }, 
            "get": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "me", 
                    "models", 
                    "likes"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/LikeModelResponse"
                        }
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "description": "Sorts results.", 
                        "in": "query", 
                        "enum": [
                            "likedAt", 
                            "-likedAt"
                        ], 
                        "type": "string", 
                        "name": "sort_by"
                    }
                ], 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/licenses": {
            "get": {
                "description": "Returns a list of licenses", 
                "tags": [
                    "licenses"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/LicensesResponse"
                        }
                    }
                }, 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/models": {
            "post": {
                "responses": {
                    "201": {
                        "headers": {
                            "Location": {
                                "type": "string"
                            }
                        }, 
                        "description": "Created", 
                        "schema": {
                            "$ref": "#/definitions/CreateResponse"
                        }
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }, 
                "parameters": [
                    {
                        "description": "Sets a name", 
                        "in": "formData", 
                        "maxLength": 48, 
                        "required": false, 
                        "type": "string", 
                        "name": "name"
                    }, 
                    {
                        "required": false, 
                        "type": "boolean", 
                        "description": "Sets private (requires a pro plan or higher)", 
                        "in": "formData", 
                        "name": "private"
                    }, 
                    {
                        "description": "Enables 2D view in model inspector. All <a href=\"https://help.sketchfab.com/hc/en-us/articles/115004862686-Inspector\">downloadable models must have isInspectable enabled</a>.", 
                        "in": "formData", 
                        "default": false, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isInspectable"
                    }, 
                    {
                        "description": "Sets a password (requires a pro plan or higher)", 
                        "in": "formData", 
                        "maxLength": 64, 
                        "required": false, 
                        "type": "string", 
                        "name": "password"
                    }, 
                    {
                        "in": "formData", 
                        "description": "Sets a <a href=#!/licenses/ target='_blank'>license</a> (slug). This makes the model downloadable to others. All <a href=\"https://help.sketchfab.com/hc/en-us/articles/115004862686-Inspector\">downloadable models must have isInspectable enabled</a>.", 
                        "format": "test", 
                        "required": false, 
                        "type": "string", 
                        "name": "license"
                    }, 
                    {
                        "description": "Sets <a href=#!/tags/ target='_blank'>tags</a> (slug)", 
                        "name": "tags", 
                        "in": "formData", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }, 
                    {
                        "description": "Sets <a href=#!/categories/ target='_blank'>categories</a> (slug)", 
                        "name": "categories", 
                        "in": "formData", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }, 
                    {
                        "description": "Enables AR for a model (requires a premium plan or higher)", 
                        "in": "formData", 
                        "default": false, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isArEnabled"
                    }, 
                    {
                        "description": "Sets published after it is processed", 
                        "in": "formData", 
                        "default": true, 
                        "required": false, 
                        "type": "boolean", 
                        "name": "isPublished"
                    }, 
                    {
                        "description": "Sets a description", 
                        "in": "formData", 
                        "maxLength": 1024, 
                        "required": false, 
                        "type": "string", 
                        "name": "description"
                    }, 
                    {
                        "required": true, 
                        "type": "file", 
                        "description": "Model archive. Max 50mb for basic users, 200mb for pro users, 500mb for biz users", 
                        "in": "formData", 
                        "name": "modelFile"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Sets <a href=#!/models/patch_v3_models_uid_options target='_blank'>options</a> after it is processed", 
                        "in": "formData", 
                        "name": "options"
                    }
                ], 
                "tags": [
                    "models"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "description": "Uploads a new model. Accepts multipart/form-data only."
            }, 
            "get": {
                "description": "Returns a public, published list of models.", 
                "tags": [
                    "models"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/ModelResponse"
                        }
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "description": "Sorts results (likedAt is only usable with liked_by).", 
                        "in": "query", 
                        "enum": [
                            "createdAt", 
                            "-createdAt", 
                            "viewCount", 
                            "-viewCount", 
                            "likedAt", 
                            "-likedAt"
                        ], 
                        "type": "string", 
                        "name": "sort_by"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Retrieves models filtered by a <a href=\"#!/users/\" target=\"_blank\">user</a> (username)", 
                        "in": "query", 
                        "name": "user"
                    }, 
                    {
                        "description": "Retrieves models filtered by <a href=\"#!/tags/\" target=\"_blank\">tags</a> (slug)", 
                        "name": "tags", 
                        "in": "query", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }, 
                    {
                        "description": "Retrieves models filtered by <a href=#!/categories/get_v3_categories target='_blank'>categories</a> (uid)", 
                        "name": "categories", 
                        "in": "query", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }, 
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Retrieves models liked by a <a href=\"#!/users/\" target=\"_blank\">user</a> (username). This can't be used with other filters.", 
                        "in": "query", 
                        "name": "liked_by"
                    }, 
                    {
                        "required": false, 
                        "type": "integer", 
                        "name": "max_face_count", 
                        "in": "query"
                    }, 
                    {
                        "required": false, 
                        "type": "integer", 
                        "name": "max_vertex_count", 
                        "in": "query"
                    }, 
                    {
                        "in": "query", 
                        "description": "Retrieves the models published after published_since (ISO 8601 format)", 
                        "format": "date", 
                        "required": false, 
                        "type": "string", 
                        "name": "published_since"
                    }, 
                    {
                        "required": false, 
                        "type": "boolean", 
                        "description": "Retrieves staffpicked models", 
                        "in": "query", 
                        "name": "staffpicked"
                    }, 
                    {
                        "required": false, 
                        "type": "boolean", 
                        "description": "Retrieves downloadable models", 
                        "in": "query", 
                        "name": "downloadable"
                    }, 
                    {
                        "required": false, 
                        "type": "boolean", 
                        "description": "Retrieves animated models", 
                        "in": "query", 
                        "name": "animated"
                    }, 
                    {
                        "required": false, 
                        "type": "boolean", 
                        "description": "Retrieves models with sound", 
                        "in": "query", 
                        "name": "has_sound"
                    }, 
                    {
                        "required": false, 
                        "type": "boolean", 
                        "description": "Retrieves age restricted models (off by default)", 
                        "in": "query", 
                        "name": "restricted"
                    }, 
                    {
                        "$ref": "#/parameters/archivesFlavoursFilter"
                    }, 
                    {
                        "$ref": "#/parameters/searchParamAvailableArchiveType"
                    }, 
                    {
                        "$ref": "#/parameters/searchParamArchivesMaxSize"
                    }, 
                    {
                        "$ref": "#/parameters/searchParamArchivesMaxFaceCount"
                    }, 
                    {
                        "$ref": "#/parameters/searchParamArchivesMaxVertexCount"
                    }, 
                    {
                        "$ref": "#/parameters/searchParamArchivesMaxTextureCount"
                    }, 
                    {
                        "$ref": "#/parameters/searchParamArchivesTextureMaxResolution"
                    }
                ], 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/me/account": {
            "get": {
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "description": "Returns account information of the logged user", 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/MeAccount"
                        }
                    }
                }, 
                "tags": [
                    "users"
                ], 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/orgs/{orgUid}/environments": {
            "post": {
                "description": "Creates a new environment in the given organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName).", 
                "parameters": [
                    {
                        "description": "Sets a name", 
                        "in": "formData", 
                        "maxLength": 64, 
                        "required": true, 
                        "type": "string", 
                        "name": "name"
                    }, 
                    {
                        "required": true, 
                        "type": "file", 
                        "name": "environmentFile", 
                        "in": "formData"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "orgs", 
                    "environments"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "201": {
                        "headers": {
                            "Location": {
                                "type": "string"
                            }
                        }, 
                        "description": "Created", 
                        "schema": {
                            "$ref": "#/definitions/CreateResponse"
                        }
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }
            }, 
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The organization UID", 
                    "in": "path", 
                    "name": "orgUid"
                }
            ], 
            "get": {
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/OrgEnvironmentListResponse"
                        }
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "type": "string", 
                        "name": "sort_by", 
                        "enum": [
                            "createdAt", 
                            "-createdAt"
                        ], 
                        "in": "query"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "orgs", 
                    "environments"
                ], 
                "description": "Returns a list of environments from the given organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName)."
            }
        }, 
        "/v3/orgs/{orgUid}/tags": {
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The organization UID", 
                    "in": "path", 
                    "name": "orgUid"
                }
            ], 
            "get": {
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/OrgTagsListResponse"
                        }
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found"
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "description": "Sorts projects by this param.", 
                        "in": "query", 
                        "enum": [
                            "createdAt", 
                            "-createdAt"
                        ], 
                        "type": "string", 
                        "name": "sort_by"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "orgs", 
                    "tags"
                ], 
                "description": "Returns a list of tags used by the given organization. Can take either the organization UID (orgUid) or name preceded by a @ (@orgName)."
            }
        }, 
        "/v3/categories/{uid}": {
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The category UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ], 
            "get": {
                "description": "Return the details of a category", 
                "tags": [
                    "categories"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/CategoriesRelated"
                        }
                    }
                }, 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/skills": {
            "get": {
                "description": "Returns the list of skills", 
                "tags": [
                    "skills"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/SkillsResponse"
                        }
                    }
                }, 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/me/models/purchases": {
            "get": {
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/MeModelResponse"
                        }
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Space separated keywords.", 
                        "in": "query", 
                        "name": "q"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
                "tags": [
                    "me", 
                    "models", 
                    "purchases"
                ], 
                "description": "Returns the list of models you bought on sketchfab's store"
            }
        }, 
        "/v3/collections/{uid}/models": {
            "post": {
                "responses": {
                    "400": {
                        "description": "Bad Request"
                    }, 
                    "201": {
                        "headers": {
                            "Location": {
                                "type": "string"
                            }
                        }, 
                        "description": "Created", 
                        "schema": {
                            "$ref": "#/definitions/CreateResponse"
                        }
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not found"
                    }, 
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }
                }, 
                "parameters": [
                    {
                        "description": "Adds <a href=\"#/models\" target=\"_blank\">models</a> (uid)", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "name": "models", 
                        "in": "formData", 
                        "maxLength": 1024, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "tags": [
                    "collections", 
                    "models"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "description": "Adds models to a collection."
            }, 
            "get": {
                "description": "Returns a list of models for a collection", 
                "tags": [
                    "collections", 
                    "models"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/CollectionModelResponse"
                        }
                    }, 
                    "404": {
                        "description": "Not found"
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "type": "string", 
                        "name": "sort_by", 
                        "enum": [
                            "createdAt", 
                            "-createdAt", 
                            "collectedAt", 
                            "-collectedAt"
                        ], 
                        "in": "query"
                    }
                ], 
                "produces": [
                    "application/json"
                ]
            }, 
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The collection UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ], 
            "delete": {
                "responses": {
                    "401": {
                        "description": "Authentication credentials were not provided or do not match"
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not found"
                    }, 
                    "204": {
                        "description": "Success"
                    }
                }, 
                "parameters": [
                    {
                        "description": "Removes <a href=\"#/models\" target=\"_blank\">models</a> (uid)", 
                        "name": "models", 
                        "in": "query", 
                        "items": {
                            "type": "string"
                        }, 
                        "required": false, 
                        "type": "array", 
                        "collectionFormat": "multi"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "tags": [
                    "collections", 
                    "models"
                ], 
                "consumes": [
                    "multipart/form-data"
                ], 
                "description": "Removes models from a collection"
            }
        }, 
        "/v3/users/{uid}/followings": {
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The user UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ], 
            "get": {
                "description": "Returns users followed by a user.", 
                "tags": [
                    "users", 
                    "relationships"
                ], 
                "responses": {
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/UserResponse"
                        }
                    }, 
                    "404": {
                        "description": "Not Found"
                    }
                }, 
                "produces": [
                    "application/json"
                ]
            }
        }, 
        "/v3/models/{uid}/download": {
            "parameters": [
                {
                    "required": true, 
                    "type": "string", 
                    "description": "The model UID", 
                    "in": "path", 
                    "name": "uid"
                }
            ], 
            "get": {
                "responses": {
                    "400": {
                        "description": "Bad Request. Model is not downloadable."
                    }, 
                    "401": {
                        "description": "Unauthorized. User token is not valid or missing."
                    }, 
                    "403": {
                        "description": "Permission Denied"
                    }, 
                    "404": {
                        "description": "Not Found. Model does not exist."
                    }, 
                    "200": {
                        "description": "Success", 
                        "schema": {
                            "$ref": "#/definitions/ModelDownload"
                        }
                    }, 
                    "429": {
                        "description": "Too many requests. You must wait before making requests again."
                    }
                }, 
                "parameters": [
                    {
                        "required": false, 
                        "type": "string", 
                        "description": "Model password when the model is password-protected", 
                        "in": "header", 
                        "name": "x-skfb-model-pwd"
                    }
                ], 
                "produces": [
                    "application/json"
                ], 
                "security": [
                    {
                        "Token": []
                    }
                ], 
[...]
